%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Summary:        Gtk frontend for git
Name:           giggle
Version:        0.5
Release:        %mkrel 3
License:        GPLv2+
Group:          Development/Other
URL:            http://live.gnome.org/giggle
Source0:        http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
Patch0:         giggle-0.4.95-linkage.patch

BuildRequires:  gtk+2-devel
BuildRequires:  libgtksourceview-2.0-devel
BuildRequires:  libxml2-devel
BuildRequires:  evolution-data-server-devel
BuildRequires:  vte-devel
BuildRequires:  intltool
BuildRequires:  git-core
#gw libtool dep (GConf2?)
BuildRequires:  dbus-glib-devel
BuildRequires:  gnome-common

Requires:       git-core
Requires:       %{libname} >= %version-%release

%description
Giggle is a graphical frontend for the git directory tracker.

%package -n %{libname}
Summary:        %{summary}
Group:          System/Libraries

%description -n %{libname}
Giggle is a graphical frontend for the git directory tracker.

%package -n %{develname}
Summary:        %{summary}
Group:          Development/C
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{develname}
Giggle is a graphical frontend for the git directory tracker.


%prep
%setup -q
%patch0 -p1
autoreconf

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README NEWS ChangeLog
%{_bindir}/*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%dir %{_libdir}/%{name}/plugins/%{version}
%{_libdir}/%{name}/plugins/%{version}/libpersonal-details*
%{_libdir}/%{name}/plugins/%{version}/libterminal-view*
%{_libdir}/%{name}/plugins/%{version}/*.xml
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libgiggle.so.%{major}*
%{_libdir}/libgiggle-git.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%{_libdir}/*.la
%{_libdir}/libgiggle.so
%{_libdir}/libgiggle-git.so
%{_includedir}/%{name}





%changelog
* Fri Apr 15 2011 obgr_seneca <obgr_seneca> 0.5-3.mga1
+ Revision: 85764
- cleaned up spec file
- removed buildroot tag
- imported package giggle


* Mon Aug 09 2010 Götz Waschk <waschk@mandriva.org> 0.5-2mdv2011.0
+ Revision: 568225
- rebuild for new e-d-s

* Wed Apr 21 2010 Götz Waschk <waschk@mandriva.org> 0.5-1mdv2010.1
+ Revision: 537705
- update to new version 0.5

* Tue Mar 09 2010 Götz Waschk <waschk@mandriva.org> 0.4.97-1mdv2010.1
+ Revision: 516901
- update to new version 0.4.97

* Tue Feb 09 2010 Götz Waschk <waschk@mandriva.org> 0.4.96-1mdv2010.1
+ Revision: 503236
- update to new version 0.4.96

* Tue Jan 26 2010 Götz Waschk <waschk@mandriva.org> 0.4.95-2mdv2010.1
+ Revision: 496509
- new version
- rediff patch
- update file list
- update build deps

* Fri Sep 11 2009 Thierry Vignaud <tv@mandriva.org> 0.4.91-3mdv2010.0
+ Revision: 437690
- rebuild

  + Götz Waschk <waschk@mandriva.org>
    - update URL

* Mon Feb 16 2009 Funda Wang <fwang@mandriva.org> 0.4.91-2mdv2009.1
+ Revision: 341157
- fix linakge

* Mon Feb 16 2009 Götz Waschk <waschk@mandriva.org> 0.4.91-1mdv2009.1
+ Revision: 340783
- new version
- libify the package

* Fri Feb 13 2009 Götz Waschk <waschk@mandriva.org> 0.4.90-1mdv2009.1
+ Revision: 340030
- new version
- fix build
- fix installation
- update file list
- fix build deps
- fix source URL

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.4-3mdv2009.0
+ Revision: 246122
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Funda Wang <fwang@mandriva.org>
    - no need rm cache file

* Sun Dec 16 2007 Funda Wang <fwang@mandriva.org> 0.4-1mdv2008.1
+ Revision: 120555
- add more doc files
- fix file list
- New version 0.4
- BR gtksourceview2

* Fri Dec 14 2007 Thierry Vignaud <tv@mandriva.org> 0.3-2mdv2008.1
+ Revision: 119926
- require the proper version of gtksourceview-devel
- rebuild b/c of missing package on ia32

* Thu May 10 2007 Frederic Crozat <fcrozat@mandriva.com> 0.3-1mdv2008.0
+ Revision: 26037
- Release 0.3
- Add dependency on git-core

* Thu May 03 2007 Pascal Terjan <pterjan@mandriva.org> 0.2-1mdv2008.0
+ Revision: 21683
- BuildRequires git-core
- 0.2


* Wed Mar 07 2007 Pascal Terjan <pterjan@mandriva.org> 0.1-1mdv2007.1
+ Revision: 134882
- Import giggle

* Wed Mar 07 2007 Pascal Terjan <pterjan@mandriva.org> 0.1-1mdv2007.1
- First Package

